#
# spec file for package howl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           howl
Version:        0.4.1
Release:        1.3
Summary:        Lightweight editor with keyboard-centric minimalistic interface
License:        MIT
Group:          Productivity/Text/Editors
Url:            http://howl.io/
BuildRequires:  gtk3-devel
BuildRequires:  gcc
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRequires:  fdupes
Requires:       luajit
Source:         https://github.com/howl-editor/howl/releases/download/%{version}/%{name}-%{version}.tgz
# PATCH-FEATURE-UPSTREAM https://github.com/howl-editor/howl/pull/307
Patch1:         appdata.patch

%description
Howl is a general purpose editor that is customizable. It is built on
top of the LuaJIT runtime, and can be extended in either Lua or
Moonscript. It has a minimalistic UI, driven mainly using the
keyboard.

%prep
%setup -q
%patch1 -p1

%build
cd src
make %{?_smp_mflags}

%install
pushd src
make PREFIX=%{_prefix} DESTDIR=%{buildroot} install
popd

cp -R share/ %{buildroot}%{_prefix}/

%suse_update_desktop_file -r howl Utility TextEditor

%fdupes %{buildroot}%{_prefix}

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc LICENSE.md
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/howl
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_bindir}/howl
%{_bindir}/howl-spec

%changelog
* Wed Feb  8 2017 jengelh@inai.de
- Trim filler words from description
* Sun Jan 29 2017 mailaender@opensuse.org
- add appdata.patch for https://en.opensuse.org/openSUSE:AppStore
* Sat Dec 24 2016 mailaender@opensuse.org
- spec file cleanup
* Wed Nov 16 2016 code@baez.nyc
  Updating to 0.4.1
* Thu Jun  2 2016 code@baez.nyc
  An initial spec of howl.
